GPGSIGS(1)

NAME
gpgsigs - annotate list of GnuPG keys with already done signatures

SYNOPSIS
gpgsigs [options] keyid[,keyid[,...]] keytxt [outfile]

DESCRIPTION
gpgsigs was written to assist the user in signing keys during a keysigning party. It takes as input a file containing keys in "gpg --list-keys" format and prepends every line with a tag indicating if the user has already signed that uid. When the file contains "ALGO Checksum:" lines and placeholders ("__ __"), the checksum is inserted. ALGO can be set to the following algorithms: MD5 SHA1 SHA256 or RIPEMD160.

OPTIONS

-r  Call gpg --recv-keys before creating the output.

-f charset
    Convert keytxt from charset. The default is ISO-8859-1.

-t charset
    Convert UIDs to charset. The default is derived from LC_ALL, LC_CTYPE, and LANG, and if all these are unset, the default is ISO-8859-1.

--refresh
    Refresh the UID lists per key from gpg. Useful when UIDs were added or revoked since the input text was generated.

--latex
    Generate LaTeX output, including photo IDs. Implies --refresh. Note: This writes jpg files to the current directory.

keyid
    Use this keyid (8 or 16 bytes, or full fingerprint) for annotation. Multiple keyids can be separated by a comma (,).

keytxt
    Read input from keytxt.

outfile
    Write output to outfile. Default is stdout.

ENVIRONMENT

HOME
    The default home directory.

GNUPGBIN
    The gpg binary. Default: "gpg".

GNUPGHOME
    The default working directory for gpg. Default: "$HOME/.gnupg".

EXAMPLES
The following key signing parties are using gpgsigs:

http://www.palfrader.org/ksp-lt2k4.html

http://www.palfrader.org/ksp-lt2k5.html

BUGS
GnuPG is known to change its output format quite often. This version has been tested with gpg 1.4.18 and gpg 2.0.26. YMMV.

SEE ALSO
gpg(1), caff(1).

AUTHORS AND COPYRIGHT
(c) 2004 Uli Martens <uli@youam.net>

(c) 2004, 2005 Peter Palfrader <peter@palfrader.org>

(c) 2004, 2005, 2006, 2007 Christoph Berg <cb@df7cb.de>

(c) 2014, 2015 Guilhem Moulin <guilhem@debian.org>

LICENSE
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. The name of the author may not be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.